Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface HttpEventGenRuntimeMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

    public interface HttpEventGenRuntimeMBean

extends weblogic.management.runtime.RuntimeMBean

This class provides runtime management for an Http Event Generator.

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).
`static String` | `TYPE`

Method Summary
`long` | `getErrorCount()` Return the number of errors that have been encountered by the event generator.
`long` | `getErrorResetTime()` Return the time that the error counter was last reset.
`String` | `getEventGeneratorName()` Return the name of the event generator.
`long` | `getMessageCount()` Get the number of messages that have been processed by the event generator.
`long` | `getResetTime()` Return the time that the message counter was last reset.
`void` | `resetErrorCount()` Reset the error message count of the event generator.
`void` | `resetMessageCount()` Reset the message count of the event generator.

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`addPropertyChangeListener, preDeregister, removePropertyChangeListener`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

### TYPE

    static final String TYPE

See Also:
  Constant Field Values

Method Detail

### getEventGeneratorName

    String getEventGeneratorName()

  Return the name of the event generator.

  Returns:
    name of the event generator

### getMessageCount

    long getMessageCount()

  Get the number of messages that have been processed by the event generator.

  Returns:
    the number of messages that have been processed by the event generator

### getResetTime

    long getResetTime()

  Return the time that the message counter was last reset.

  Returns:
    the message counter timestamp

### resetMessageCount

    void resetMessageCount()

  Reset the message count of the event generator.

### getErrorCount

    long getErrorCount()

  Return the number of errors that have been encountered by the event generator.

  Returns:
    the number of errors that have been encountered by the event generator

### getErrorResetTime

    long getErrorResetTime()

  Return the time that the error counter was last reset.

  Returns:
    the error counter reset timestamp.

### resetErrorCount

    void resetErrorCount()

  Reset the error message count of the event generator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD